FLANG

Public Member Functions | List of all members
Fortran::lower::CoarrayExprHelper Class Reference

`#include <flang/Lower/Coarray.h>`

## Public Member Functions
| CoarrayExprHelper (AbstractConverter &converter, mlir::Location loc, SymMap &syms)
| CoarrayExprHelper (const CoarrayExprHelper &)=delete
fir::ExtendedValue | genAddr (const evaluate::CoarrayRef &expr)
| Generate the address of a co-array expression.
fir::ExtendedValue | genValue (const evaluate::CoarrayRef &expr)
| Generate the value of a co-array expression.

## Detailed Description

Coarray expression lowering helper. A coarray expression is expected to be lowered into runtime support calls. For example, expressions may use a message-passing runtime to access another image's data.

The documentation for this class was generated from the following files:

- include/flang/Lower/Coarray.h
- lib/Lower/Coarray.cpp